Loading...
Searching...
No Matches
BALL::QSAR::Registry Class Reference

`#include <BALL/QSAR/registry.h>`

## Public Member Functions

| Registry ()
| ~Registry ()
void | addEntry (RegistryEntry entry, int uniqueID)
RegistryEntry * | getEntry (String model_name)
RegistryEntry * | getEntry (int ID)
int | getModelNo (String model_name)
String | getClassificationStatisticName (unsigned int no)
String | getRegressionStatisticName (unsigned int no)
String | getFeatureSelectionName (unsigned int no)
String | getValidationName (unsigned int no)
const std::map< unsigned int, String > * | getClassificationStatistics ()
const std::map< unsigned int, String > * | getRegressionStatistics ()
RegistryEntryIterator | beginEntry ()
RegistryEntryIterator | endEntry ()

## Public Attributes

double | default_kernel_par1
double | default_kernel_par2
double | default_rbf_par
int | default_k
int | default_no_permutations
int | default_no_boostrap_samples
double | default_valdition_fraction
int | default_nested_folds
double | default_correlation_cutoff
double | default_gridsearch_stepwidth
int | default_gridsearch_recursion
int | default_gridsearch_steps
double | default_gridsearch_par1_start
double | default_gridsearch_par2_start

## Friends

class | RegistryEntry

## Detailed Description

Definition at line 72 of file registry.h.

## Constructor & Destructor Documentation

## Registry()

BALL::QSAR::Registry::Registry | ( |  | ) |

## ~Registry()

BALL::QSAR::Registry::~Registry | ( |  | ) |

## Member Function Documentation

## addEntry()

void BALL::QSAR::Registry::addEntry | ( | RegistryEntry | entry,
|  | int | uniqueID )

## beginEntry()

RegistryEntryIterator BALL::QSAR::Registry::beginEntry | ( |  | ) |

returns an iterator to the first model in model_map

## endEntry()

RegistryEntryIterator BALL::QSAR::Registry::endEntry | ( |  | ) |

returns an iterator past the last model of model_map

## getClassificationStatisticName()

String BALL::QSAR::Registry::getClassificationStatisticName | ( | unsigned int | no | ) |

## getClassificationStatistics()

const std::map< unsigned int, String > * BALL::QSAR::Registry::getClassificationStatistics | ( |  | ) |

## getEntry() [1/2]

RegistryEntry * BALL::QSAR::Registry::getEntry | ( | int | ID | ) |

returns the RegistryEntry for a given model ID

## getEntry() [2/2]

RegistryEntry * BALL::QSAR::Registry::getEntry | ( | String | model_name | ) |

returns the RegistryEntry for a given model name

## getFeatureSelectionName()

String BALL::QSAR::Registry::getFeatureSelectionName | ( | unsigned int | no | ) |

## getModelNo()

int BALL::QSAR::Registry::getModelNo | ( | String | model_name | ) |

return the ID of a specified model

## getRegressionStatisticName()

String BALL::QSAR::Registry::getRegressionStatisticName | ( | unsigned int | no | ) |

## getRegressionStatistics()

const std::map< unsigned int, String > * BALL::QSAR::Registry::getRegressionStatistics | ( |  | ) |

## getValidationName()

String BALL::QSAR::Registry::getValidationName | ( | unsigned int | no | ) |

## Friends And Related Symbol Documentation

## RegistryEntry

friend class RegistryEntry

friend

Definition at line 148 of file registry.h.

## Member Data Documentation

## default_correlation_cutoff

double BALL::QSAR::Registry::default_correlation_cutoff

the default value for the absolute value of the correlation coefficient for removing of nearly colinear features

Definition at line 104 of file registry.h.

## default_gridsearch_par1_start

double BALL::QSAR::Registry::default_gridsearch_par1_start

Definition at line 109 of file registry.h.

## default_gridsearch_par2_start

double BALL::QSAR::Registry::default_gridsearch_par2_start

Definition at line 110 of file registry.h.

## default_gridsearch_recursion

int BALL::QSAR::Registry::default_gridsearch_recursion

Definition at line 107 of file registry.h.

## default_gridsearch_steps

int BALL::QSAR::Registry::default_gridsearch_steps

Definition at line 108 of file registry.h.

## default_gridsearch_stepwidth

double BALL::QSAR::Registry::default_gridsearch_stepwidth

Definition at line 106 of file registry.h.

## default_k

int BALL::QSAR::Registry::default_k

default value for k-fold cross validation

Definition at line 89 of file registry.h.

## default_kernel_par1

double BALL::QSAR::Registry::default_kernel_par1

default value for first parameter of non-rbf kernels

Definition at line 80 of file registry.h.

## default_kernel_par2

double BALL::QSAR::Registry::default_kernel_par2

default value for second parameter of non-rbf kernels

Definition at line 83 of file registry.h.

## default_nested_folds

int BALL::QSAR::Registry::default_nested_folds

the default number of nested validation folds

Definition at line 101 of file registry.h.

## default_no_boostrap_samples

int BALL::QSAR::Registry::default_no_boostrap_samples

the default number of boostrap samples

Definition at line 95 of file registry.h.

## default_no_permutations

int BALL::QSAR::Registry::default_no_permutations

the default number of permutations to be done during response permutation testing

Definition at line 92 of file registry.h.

## default_rbf_par

double BALL::QSAR::Registry::default_rbf_par

default value for parameter of rbf kernels

Definition at line 86 of file registry.h.

## default_valdition_fraction

double BALL::QSAR::Registry::default_valdition_fraction

the default value for the fraction of the input data that should be set aside in case of external/nested validation

Definition at line 98 of file registry.h.